ParameterList

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.entities
Class ParameterList

    java.lang.Object
      com.fenalco.entities.ParameterList

    public class ParameterList

extends java.lang.Object

Esta clase representa una lista de parámteros simples

Author:
  Juan Ernesto Peńa Kaltekis, Mario Linares Vásquez

Field Summary
`private java.util.Hashtable` | `parameters` Es un Hashtable que tiene como llave un int que representa el id del parámtero, el objeto es de tipo `Parameter`

Constructor Summary
`ParameterList()` Constructor por defecto de la clase ParameterList

Method Summary
`java.util.Hashtable` | `getParameters()` Consultor para el atributo parameters.
`boolean` | `loadData()` Hace una consulta en la tabla parametros_sistema por medio del método `query` de la clase `SqlUtilities` para cargar la lista de parámetros y llenar la variable parameters con los parámetros simples del sistema
`void` | `setParameters(java.util.Hashtable parameters)` Modificador para el atributo parameters.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parameters

    private java.util.Hashtable parameters

  Es un Hashtable que tiene como llave un int que representa el id del parámtero, el objeto es de tipo `Parameter`

Constructor Detail

### ParameterList

    public ParameterList()

  Constructor por defecto de la clase ParameterList

Method Detail

### loadData

    public boolean loadData()

  Hace una consulta en la tabla parametros_sistema por medio del método `query` de la clase `SqlUtilities` para cargar la lista de parámetros y llenar la variable parameters con los parámetros simples del sistema

  Returns:
    booleano que indica si la operación fué exitosa

### getParameters

    public java.util.Hashtable getParameters()

  Consultor para el atributo parameters.

  Returns:
    Valor del atributo parameters.

### setParameters

    public void setParameters(java.util.Hashtable parameters)

  Modificador para el atributo parameters.

  Parameters:
    `parameters` - Nuevo valor para el atributo parameters.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD